# Runtime Stats Komparator

## Data

Load File:

Append File:

## Result

Compare against:
Green the selected version above performs better on this measurement.

## Versions

## Pages

## Groups

###

Version | Pos. | Time▴ | Percent | Count
--- | --- | --- | --- | ---

### Page Comparison for

Page | Time | Percent▾ | %/Entry | Count
--- | --- | --- | --- | ---
Total: |  |  |  |

### Impact list for

Name | Time | Percent▾ | Top Pages
--- | --- | --- | ---

###

###

###

Pos. | Name | Time | Percent | Count
--- | --- | --- | --- | ---

## Usage

1. Install scipy, e.g. `sudo aptitude install python-scipy`
2. Build chrome.
3. Check out a known working version of webpagereply:

       git -C $CHROME_DIR/third_party/webpagereplay checkout 7dbd94752d1cde5536ffc623a9e10a51721eff1d

4. Run `callstats.py` with a web-page-replay archive:

       $V8_DIR/tools/callstats.py run \
               --replay-bin=$CHROME_SRC/third_party/webpagereplay/replay.py \
               --replay-wpr=$INPUT_DIR/top25.wpr \
               --js-flags="" \
               --with-chrome=$CHROME_SRC/out/Release/chrome \
               --sites-file=$INPUT_DIR/top25.json

5. Move results file to a subdirectory: `mkdir $VERSION_DIR; mv *.txt $VERSION_DIR`
6. Repeat from step 1 with a different configuration (e.g. `--js-flags="--nolazy"`).
7. Create the final results file: `./callstats.py json $VERSION_DIR1 $VERSION_DIR2 > result.json`
8. Use `results.json` on this site.

Page: |
Version: |  |
Time: |  | ± |  |  | ± |
Percent: |  | ± |  |  | ± |
Percent per Entry: |  |  |  |
Count: |  | ± |  |  | ± |
Overall Impact: |  | ± |  |  | ± |